Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::StartupOptions_var Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::StartupOptions_var:

[legend]
List of all members.

## Public Methods
| StartupOptions_var (void)
| StartupOptions_var (StartupOptions *)
| StartupOptions_var (const StartupOptions_var &)
| ~StartupOptions_var (void)
StartupOptions_var & | operator= (StartupOptions *)
StartupOptions_var & | operator= (const StartupOptions_var &)
StartupOptions * | operator-> (void)
const StartupOptions * | operator-> (void) const
| operator const StartupOptions & () const
| operator StartupOptions & ()
| operator StartupOptions & () const
| operator StartupOptions *& ()
const StartupOptions & | in (void) const
StartupOptions & | inout (void)
StartupOptions *& | out (void)
StartupOptions * | _retn (void)
StartupOptions * | ptr (void) const
## Private Attributes
StartupOptions * | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::StartupOptions_var::StartupOptions_var | ( | void |  | ) |

ImplementationRepository::StartupOptions_var::StartupOptions_var | ( | StartupOptions * |  | ) |

ImplementationRepository::StartupOptions_var::StartupOptions_var | ( | const StartupOptions_var & |  | ) |

ImplementationRepository::StartupOptions_var::~StartupOptions_var | ( | void |  | ) |

## Member Function Documentation

StartupOptions* ImplementationRepository::StartupOptions_var::_retn | ( | void |  | ) |

const StartupOptions& ImplementationRepository::StartupOptions_var::in | ( | void |  | ) | const

StartupOptions& ImplementationRepository::StartupOptions_var::inout | ( | void |  | ) |

ImplementationRepository::StartupOptions_var::operator const StartupOptions & | ( |  | ) | const

ImplementationRepository::StartupOptions_var::operator StartupOptions & | ( |  | ) | const

ImplementationRepository::StartupOptions_var::operator StartupOptions & | ( |  | ) |

ImplementationRepository::StartupOptions_var::operator StartupOptions *& | ( |  | ) |

const StartupOptions* ImplementationRepository::StartupOptions_var::operator-> | ( | void |  | ) | const

StartupOptions* ImplementationRepository::StartupOptions_var::operator-> | ( | void |  | ) |

StartupOptions_var& ImplementationRepository::StartupOptions_var::operator= | ( | const StartupOptions_var & |  | ) |

StartupOptions_var& ImplementationRepository::StartupOptions_var::operator= | ( | StartupOptions * |  | ) |

StartupOptions*& ImplementationRepository::StartupOptions_var::out | ( | void |  | ) |

StartupOptions* ImplementationRepository::StartupOptions_var::ptr | ( | void |  | ) | const

## Member Data Documentation

StartupOptions* ImplementationRepository::StartupOptions_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h